tvbrowser.core.plugin.programformating

## Class GlobalPluginProgramFormating

- java.lang.Object
- - util.program.AbstractPluginProgramFormating
  - - tvbrowser.core.plugin.programformating.GlobalPluginProgramFormating

-     public class GlobalPluginProgramFormating
      extends AbstractPluginProgramFormating

  A class for global program configuration settings.
  Since:
    2.5.1
  Author:
    René Mach

- - ### Field Summary

    - ### Fields inherited from class util.program.AbstractPluginProgramFormating

      `mContentValue, mEncodingValue, mId, mName, mTitleValue`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `GlobalPluginProgramFormating()` Creates an empty instance of this class.
    `protected` | `GlobalPluginProgramFormating(java.lang.String name, java.lang.String titleValue, java.lang.String contentValue, java.lang.String encodingValue)`
    `protected` | `GlobalPluginProgramFormating(java.lang.String id, java.lang.String name, java.lang.String titleValue, java.lang.String contentValue, java.lang.String encodingValue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getContentValue()` Gets the value for the content formating
    `java.lang.String` | `getEncodingValue()` Gets the value for the formating
    `java.lang.String` | `getName()` Gets the name of this configuration
    `java.lang.String` | `getTitleValue()` Gets the value for title formating
    `int` | `hashCode()`
    `boolean` | `hasId(java.lang.String id)` Checks if this global program configuration has the given id.
    `boolean` | `isValid()` Gets if the configuration is valid.
    `protected static GlobalPluginProgramFormating` | `load(java.io.ObjectInputStream in)`
    `protected void` | `loadData(java.io.ObjectInputStream in)`
    `protected void` | `store(java.io.ObjectOutputStream out)`
    `protected void` | `storeData(java.io.ObjectOutputStream out)`

    - ### Methods inherited from class util.program.AbstractPluginProgramFormating

      `getId, readData, setContentValue, setEncodingValue, setId, setName, setTitleValue, toString, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GlobalPluginProgramFormating

          public GlobalPluginProgramFormating()

      Creates an empty instance of this class. Don't remove! This is really needed for loading GlobalPluginProgramFormating from ObjectInputStream!

    - #### GlobalPluginProgramFormating

          protected GlobalPluginProgramFormating(java.lang.String id,
                                      java.lang.String name,
                                      java.lang.String titleValue,
                                      java.lang.String contentValue,
                                      java.lang.String encodingValue)

    - #### GlobalPluginProgramFormating

          protected GlobalPluginProgramFormating(java.lang.String name,
                                      java.lang.String titleValue,
                                      java.lang.String contentValue,
                                      java.lang.String encodingValue)

  - ### Method Detail

    - #### getContentValue

          public java.lang.String getContentValue()

      Description copied from class: `AbstractPluginProgramFormating`
      Gets the value for the content formating
      Overrides:
        `getContentValue` in class `AbstractPluginProgramFormating`
      Returns:
        The value for the content formating

    - #### getEncodingValue

          public java.lang.String getEncodingValue()

      Description copied from class: `AbstractPluginProgramFormating`
      Gets the value for the formating
      Overrides:
        `getEncodingValue` in class `AbstractPluginProgramFormating`
      Returns:
        The value for the formating

    - #### getName

          public java.lang.String getName()

      Description copied from class: `AbstractPluginProgramFormating`
      Gets the name of this configuration
      Overrides:
        `getName` in class `AbstractPluginProgramFormating`
      Returns:
        The name of this configuration

    - #### getTitleValue

          public java.lang.String getTitleValue()

      Description copied from class: `AbstractPluginProgramFormating`
      Gets the value for title formating
      Overrides:
        `getTitleValue` in class `AbstractPluginProgramFormating`
      Returns:
        The value for title formating

    - #### load

          protected static GlobalPluginProgramFormating load(java.io.ObjectInputStream in)
                                                      throws java.io.IOException,
                                                             java.lang.ClassNotFoundException

      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### store

          protected void store(java.io.ObjectOutputStream out)
                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### loadData

          protected void loadData(java.io.ObjectInputStream in)
                           throws java.io.IOException,
                                  java.lang.ClassNotFoundException

      Specified by:
        `loadData` in class `AbstractPluginProgramFormating`
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### storeData

          protected void storeData(java.io.ObjectOutputStream out)
                            throws java.io.IOException

      Specified by:
        `storeData` in class `AbstractPluginProgramFormating`
      Throws:
        `java.io.IOException`

    - #### hasId

          public boolean hasId(java.lang.String id)

      Checks if this global program configuration has the given id.
      Parameters:
        `id` - The id to check.
      Returns:
        `true` if the ids are the same, `false` otherwise;

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### isValid

          public boolean isValid()

      Description copied from class: `AbstractPluginProgramFormating`
      Gets if the configuration is valid.
      Specified by:
        `isValid` in class `AbstractPluginProgramFormating`
      Returns:
        If the configuration is valid

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)